<?php

define('API_KEY', '156c4675-9608-4591-b2ec-xxxxxxx');
define('ADMIN_API_KEY', '156c4675-9608-4591-b2ec-xxxxxxx');



date_default_timezone_set('GMT');
define('BASE_URL',  "https://domain.com/mobileapp_api/");
define('APP_STATUS', 'live');///demo/live
define('APP_NAME', 'Tictic');

define('ADMIN_RECORDS_PER_PAGE',30);
define('APP_RECORDS_PER_PAGE',20);

//Add settings


define('STRIPE_API_KEY','');
define('STRIPE_CURRENCY', 'usd');

define('DATABASE_HOST', 'localhost');
define('DATABASE_USER', '');
define('DATABASE_PASSWORD', '');
define('DATABASE_NAME', '');

define('REDIS_HOST', 'localhost');
define('REDIS_PASSWORD', '');




define('VIDEO_COMPRESSION', '2500');
define('RADIUS', '2');







define('UPLOADS_FOLDER_URI', 'app/webroot/uploads');
define('API_LOG_FILE', 'app/webroot/api_log.txt');
define('TEMP_UPLOADS_FOLDER_URI', 'app/webroot/temp_uploads');
define('FONT_FOLDER_URI', 'app/webroot/font');


define('WATERMARK_IMAGE_URI', 'app/webroot/img/watermark.png'); //the size should be 100x30
define('WATERMARK_VIDEO_URI', 'app/webroot/img/watermark.mp4');




define('IMAGE_THUMB_SIZE', '150');

/********Firebase ********/

define('FIREBASE_PUSH_NOTIFICATION_KEY', '');
define('FIREBASE_DATABASE_URL', '');
define('FIREBASE_JSON_FILE', 'serviceAccountKey.json');





define('GOOGLE_MAPS_KEY', '');




define('DEEPENGIN_KEY', '');
define('DEEPENGIN_VIDEO_MODERATION_URL', 'https://videos.deepengin.com/v1/videoModeration');
define('DEEPENGIN_VIDEO_COMPRESSOR_URL', 'https://videos.deepengin.com/v1/videoCompressor');
define('DEEPENGIN_IMAGE_MODERATION_URL', 'https://images.deepengin.com/v1/imageModeration');







define("MEDIA_STORAGE","s3");  // if you want to enable AWS s3 then you have to put the value "s3" and if you put "local" videos will be stored in your local server/hosting


/**********************CDN SERVICE**********************/

//you can fill either AWS/GOOGLE/BUNNY
//AWS
define("IAM_KEY","");
define("IAM_SECRET","");
define("BUCKET_NAME","");
define("S3_REGION","");
define("CLOUDFRONT_URL","");




//add settings

define('FOLLOWER_PER_COIN', 1);
define('VIDEO_VIEWS_PER_COIN', 3);
define('WEBSITE_VISITS_PER_COIN', 2);



define('USER_FIELDS', array(
    'User.id',
    'User.first_name',
    'User.last_name',
    'User.bio',
    'User.website',
    'User.profile_pic',
    'User.profile_pic_small',
    'User.profile_gif',
    'User.device_token',
    'User.business',
    'User.parent',
    'User.username',
    'User.device_token',
    'User.verified',
    'User.created',
    'User.register_with',
    'User.active'
));



?>



